%{
/*
  This program transforms two DLV style programs to two first-order theories.
  If both are unsatisfiable, the programs are strongly equivalent.
  Copyright (C) 2004 Patrick Traxler

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "st.h"
#include "parser.tab.yy.h"

%}

%%

v       return OR;
not     return NOT;
([a-z]|[0-9])[a-zA-Z0-9_]*      { yylval = new string(yytext); return SYM; }
([A-Z]|_)[a-zA-Z0-9_]*          { return VAR; }

"("     return '(';
":-"    return IMP;
")"     return ')';
","     return ',';
"."     return '.';
"-"     return '-';
"="     return '=';

[ \t\n]+ ;


.       { cout << "Scanner error: " << yytext << endl; exit(1); }

%%

int yywrap()
{
  return 1;
}
